#include "hilKAnom/hilKAnomPD.h"


int main(int argc, char** argv){
	
	if (argc!=4) {
		cout << "Usage: " << argv[0] << " [microdata] [publicdata] [K]" << endl;
		cout << "K is anonymity requirement" << endl;
		exit(-1);
    }
	int K = atoi(argv[3]);

	HilKAnomPD* hilk = new HilKAnomPD(argv[1], argv[2]);
	
	vector<group> groups = hilk->getGroups(K);
	
//	vector<group>::iterator iter;
//	for (iter=groups.begin(); iter!=groups.end(); iter++){
//		cout << &(*iter) << endl;
//	}
	
	float* sizeWorld = hilk->getSizeWorld();
	calculateMetrics(groups, sizeWorld);
	delete[] sizeWorld;
	groups.clear();
	
}

